# OmniThreads.hh File Reference

`#include <log4cpp/Portability.hh>`
`#include <omnithread.h>`
`#include <stdio.h>`
`#include <string>`

Include dependency graph for OmniThreads.hh:

Go to the source code of this file.

## Namespaces

namespace | log4cpp
namespace | log4cpp::threading

## Classes

class | log4cpp::threading::ThreadLocalDataHolder< T >
| This class holds Thread local data of type T, i.e. More...
class | log4cpp::threading::ThreadLocalDataHolder< T >::Holder

## Typedefs

typedef omni_mutex | log4cpp::threading::Mutex
| A simple, non recursive Mutex.
typedef omni_mutex_lock | log4cpp::threading::ScopedLock
| A simple "resource acquisition is initialization" idiom type lock for Mutex.

## Functions

static std::string | log4cpp::threading::getThreadId ()
| returns the thread ID